Bug 1713220 - Test object to None after use it
Summary: Test object to None after use it
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: libcomps
Version: 8.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: 8.0
Assignee: Jaroslav Rohel
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-23 07:53 UTC by Jaroslav Rohel
Modified: 2020-11-14 10:59 UTC (History)
2 users (show)

Fixed In Version: libcomps-0.1.11-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:22:06 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:22:15 UTC

Description Jaroslav Rohel 2019-05-23 07:53:23 UTC
Description of problem:
libcomps/libcomps/src/python/tests/__test.py:895: check_after_deref: Null-checking "gid1" suggests that it may be null, but it has already been dereferenced on all paths leading to the check.

Version-Release number of selected component (if applicable):
libcomps-0.1.11-1.el8

Expected results:
Test the "gid1" object to None before use.

Comment 1 Jaroslav Rohel 2019-05-23 09:40:10 UTC
PR: https://github.com/rpm-software-management/libcomps/pull/49

Comment 7 errata-xmlrpc 2019-11-05 22:22:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.